(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)



(*     Declared indices    *)

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[QuarkGeneration] ] = Range[ 4 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[SU2W] ] = Range[ 3 ]

(*     Declared particles    *)

M$ClassesDescription = {
F[1] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation]},
    QuantumNumbers -> {LeptonNumber},
    PropagatorLabel -> "v",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> 0 },

F[2] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation]},
    QuantumNumbers -> {-Q, LeptonNumber},
    PropagatorLabel -> "l",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Ml },

F[3] == {
    SelfConjugate -> False,
    Indices -> {Index[QuarkGeneration], Index[Colour]},
    QuantumNumbers -> {(2*Q)/3},
    PropagatorLabel -> "uq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Mu },

F[4] == {
    SelfConjugate -> False,
    Indices -> {Index[QuarkGeneration], Index[Colour]},
    QuantumNumbers -> {-Q/3},
    PropagatorLabel -> "dq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Md },

U[1] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> uA,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 },

U[2] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> uZ,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MZ },

U[31] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {Q, GhostNumber},
    PropagatorLabel -> uWp,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MW },

U[32] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {-Q, GhostNumber},
    PropagatorLabel -> uWm,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MW },

U[4] == {
    SelfConjugate -> False,
    Indices -> {Index[Gluon]},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> uG,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 },

V[1] == {
    SelfConjugate -> True,
    Indices -> {},
    PropagatorLabel -> "a",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0 },

V[2] == {
    SelfConjugate -> True,
    Indices -> {},
    PropagatorLabel -> "Z",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ },

V[3] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {Q},
    PropagatorLabel -> "W",
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW },

V[4] == {
    SelfConjugate -> True,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> G,
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0 },

S[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "H",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MH,
    Indices -> {} },

S[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "Phi",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MZ,
    Indices -> {} },

S[3] == {
    SelfConjugate -> False,
    PropagatorLabel -> "Phi2",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    QuantumNumbers -> {Q},
    Mass -> MW,
    Indices -> {} }
}


(*        Definitions       *)

GaugeXi[ U[1] ] = GaugeXi[A];
GaugeXi[ U[2] ] = GaugeXi[Z];
GaugeXi[ U[31] ] = GaugeXi[W];
GaugeXi[ U[32] ] = GaugeXi[W];
GaugeXi[ U[4] ] = GaugeXi[G];
GaugeXi[ V[1] ] = GaugeXi[A];
GaugeXi[ V[2] ] = GaugeXi[Z];
GaugeXi[ V[3] ] = GaugeXi[W];
GaugeXi[ V[4] ] = GaugeXi[G];
GaugeXi[ S[1] ] = 1;
GaugeXi[ S[2] ] = GaugeXi[Z];
GaugeXi[ S[3] ] = GaugeXi[W];

Ml[ 1 ] := Me;
Ml[ 2 ] := MM;
Ml[ 3 ] := MTA;
Mu[ 1, _ ] := MU;
Mu[ 1 ] := MU;
Mu[ 2, _ ] := MC;
Mu[ 2 ] := MC;
Mu[ 3, _ ] := MT;
Mu[ 3 ] := MT;
Mu[ 4, _ ] := MTp;
Mu[ 4 ] := MTp;
Md[ 1, _ ] := MD;
Md[ 1 ] := MD;
Md[ 2, _ ] := MS;
Md[ 2 ] := MS;
Md[ 3, _ ] := MB;
Md[ 3 ] := MB;
Md[ 4, _ ] := MBp;
Md[ 4 ] := MBp;
MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
MH[ ___ ] := MH;


TheLabel[ F[1, {1}] ] := "ve";
TheLabel[ F[1, {2}] ] := "vm";
TheLabel[ F[1, {3}] ] := "vt";
TheLabel[ F[2, {1}] ] := "e";
TheLabel[ F[2, {2}] ] := "m";
TheLabel[ F[2, {3}] ] := "tt";
TheLabel[ F[3, {1, _}] ] := "u";
TheLabel[ F[3, {1}] ] := "u";
TheLabel[ F[3, {2, _}] ] := "c";
TheLabel[ F[3, {2}] ] := "c";
TheLabel[ F[3, {3, _}] ] := "t";
TheLabel[ F[3, {3}] ] := "t";
TheLabel[ F[3, {4, _}] ] := "tp";
TheLabel[ F[3, {4}] ] := "tp";
TheLabel[ F[4, {1, _}] ] := "d";
TheLabel[ F[4, {1}] ] := "d";
TheLabel[ F[4, {2, _}] ] := "s";
TheLabel[ F[4, {2}] ] := "s";
TheLabel[ F[4, {3, _}] ] := "b";
TheLabel[ F[4, {3}] ] := "b";
TheLabel[ F[4, {4, _}] ] := "bp";
TheLabel[ F[4, {4}] ] := "bp";
TheLabel[ U[4, {__}] ] := TheLabel[U[4]];
TheLabel[ V[4, {__}] ] := TheLabel[V[4]];


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}, {-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc2*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0, 0}, {I*gc2*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0, 0}, {I*gc2*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0, 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-I)*gc3, 0, 0}, {I*gc3, 0, 0}, {I*gc3, 0, 0}, {(-I)*gc3, 0, 0}, {(-I)*gc3, 0, 0}, {I*gc3, 0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{(-I)*gc4, 0, 0}, {(-I)*gc4, 0, 0}, {(2*I)*gc4, 0, 0}},

C[ V[3] , -V[3] , V[2] ] == {{(-I)*gc5, 0, 0}, {I*gc5, 0, 0}, {I*gc5, 0, 0}, {(-I)*gc5, 0, 0}, {(-I)*gc5, 0, 0}, {I*gc5, 0, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{(-I)*gc6, 0, 0}, {(-I)*gc6, 0, 0}, {(2*I)*gc6, 0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{(-2*I)*gc7, 0, 0}, {I*gc7, 0, 0}, {I*gc7, 0, 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{(-I)*gc8, 0, 0}, {(-I)*gc8, 0, 0}, {(2*I)*gc8, 0, 0}},

C[ S[1] , S[1] , S[1] , S[1] ] == {{(-6*I)*lam, 0, 0}},

C[ S[1] , S[1] , S[2] , S[2] ] == {{(-2*I)*lam, 0, 0}},

C[ S[2] , S[2] , S[2] , S[2] ] == {{(-6*I)*lam, 0, 0}},

C[ S[1] , S[1] , S[3] , -S[3] ] == {{(-2*I)*lam, 0, 0}},

C[ S[2] , S[2] , S[3] , -S[3] ] == {{(-2*I)*lam, 0, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] ] == {{(-4*I)*lam, 0, 0}},

C[ S[1] , S[1] , S[1] ] == {{(-6*I)*lam*v, 0, 0}},

C[ S[1] , S[2] , S[2] ] == {{(-2*I)*lam*v, 0, 0}},

C[ S[1] , S[3] , -S[3] ] == {{(-2*I)*lam*v, 0, 0}},

C[ S[3] , -S[3] , V[1] , V[1] ] == {{(2*I)*EL^2, 0, 0}},

C[ S[3] , -S[3] , V[1] ] == {{(-I)*gc19, 0, 0}, {I*gc19, 0, 0}},

C[ S[1] , -S[3] , V[1] , V[3] ] == {{-EL^2/(2*sw), 0, 0}},

C[ S[2] , -S[3] , V[1] , V[3] ] == {{((-I/2)*EL^2)/sw, 0, 0}},

C[ -S[3] , V[1] , V[3] ] == {{-(EL^2*v)/(2*sw), 0, 0}},

C[ S[1] , -S[3] , V[3] ] == {{-gc23, 0, 0}, {gc23, 0, 0}},

C[ S[2] , -S[3] , V[3] ] == {{(-I)*gc24, 0, 0}, {I*gc24, 0, 0}},

C[ S[1] , S[3] , V[1] , -V[3] ] == {{EL^2/(2*sw), 0, 0}},

C[ S[2] , S[3] , V[1] , -V[3] ] == {{((-I/2)*EL^2)/sw, 0, 0}},

C[ S[3] , V[1] , -V[3] ] == {{(EL^2*v)/(2*sw), 0, 0}},

C[ S[1] , S[3] , -V[3] ] == {{-gc28, 0, 0}, {gc28, 0, 0}},

C[ S[2] , S[3] , -V[3] ] == {{(-I)*gc29, 0, 0}, {I*gc29, 0, 0}},

C[ S[1] , S[1] , V[3] , -V[3] ] == {{((I/2)*EL^2)/sw^2, 0, 0}},

C[ S[2] , S[2] , V[3] , -V[3] ] == {{((I/2)*EL^2)/sw^2, 0, 0}},

C[ S[3] , -S[3] , V[3] , -V[3] ] == {{((I/2)*EL^2)/sw^2, 0, 0}},

C[ S[1] , V[3] , -V[3] ] == {{((I/2)*EL^2*v)/sw^2, 0, 0}},

C[ S[3] , -S[3] , V[1] , V[2] ] == {{(I*EL^2*(cw - sw)*(cw + sw))/(cw*sw), 0, 0}},

C[ S[1] , S[2] , V[2] ] == {{-gc35, 0, 0}, {gc35, 0, 0}},

C[ S[3] , -S[3] , V[2] ] == {{(-I)*gc36, 0, 0}, {I*gc36, 0, 0}},

C[ S[1] , -S[3] , V[3] , V[2] ] == {{EL^2/(2*cw), 0, 0}},

C[ S[2] , -S[3] , V[3] , V[2] ] == {{((I/2)*EL^2)/cw, 0, 0}},

C[ -S[3] , V[3] , V[2] ] == {{(EL^2*v)/(2*cw), 0, 0}},

C[ S[1] , S[3] , -V[3] , V[2] ] == {{-EL^2/(2*cw), 0, 0}},

C[ S[2] , S[3] , -V[3] , V[2] ] == {{((I/2)*EL^2)/cw, 0, 0}},

C[ S[3] , -V[3] , V[2] ] == {{-(EL^2*v)/(2*cw), 0, 0}},

C[ S[1] , S[1] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw^2 + sw^2)^2)/(cw^2*sw^2), 0, 0}},

C[ S[2] , S[2] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw^2 + sw^2)^2)/(cw^2*sw^2), 0, 0}},

C[ S[3] , -S[3] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw - sw)^2*(cw + sw)^2)/(cw^2*sw^2), 0, 0}},

C[ S[1] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw^2 + sw^2)^2*v)/(cw^2*sw^2), 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[4, {e3x2}] ] == {{I*gc47*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e2x3, e1x3], 0, 0}, {I*gc47*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e2x3, e1x3], 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , V[4, {e1x2}] ] == {{I*gc48*IndexDelta[e2x2, e3x2]*SUNT[e1x2, e3x3, e2x3], 0, 0}, {I*gc48*IndexDelta[e2x2, e3x2]*SUNT[e1x2, e3x3, e2x3], 0, 0}},

C[ -F[4, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , V[1] ] == {{I*gc49*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {I*gc49*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -F[2, {e3x2}] , F[2, {e2x2}] , V[1] ] == {{I*gc50*IndexDelta[e2x2, e3x2], 0, 0}, {I*gc50*IndexDelta[e2x2, e3x2], 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , V[1] ] == {{I*gc51*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {I*gc51*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -F[1, {e2x2}] , F[2, {e1x2}] , V[3] ] == {{I*gc52*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[3, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[3] ] == {{I*gc53[e2x2, e1x2]*IndexDelta[e1x3, e2x3], 0, 0}, {0, 0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] ] == {{I*gc54*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] ] == {{I*gc55[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {0, 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[2] ] == {{I*gc56L*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {I*gc56R*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[2, {e2x2}] , F[2, {e1x2}] , V[2] ] == {{I*gc57L*IndexDelta[e1x2, e2x2], 0, 0}, {I*gc57R*IndexDelta[e1x2, e2x2], 0, 0}},

C[ -F[3, {e2x2, e2x3}] , F[3, {e1x2, e1x3}] , V[2] ] == {{I*gc58L*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {I*gc58R*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[1, {e2x2}] , F[1, {e1x2}] , V[2] ] == {{I*gc59*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[4, {e1x2, e1x3}] , S[3] ] == {{gc60L[e3x2, e1x2]*IndexDelta[e1x3, e3x3], 0, 0}, {gc60R[e3x2, e1x2]*IndexDelta[e1x3, e3x3], 0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e3x2, e3x3}] , -S[3] ] == {{gc61L[e1x2, e3x2]*IndexDelta[e1x3, e3x3], 0, 0}, {gc61R[e1x2, e3x2]*IndexDelta[e1x3, e3x3], 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , S[1] ] == {{I*gc62[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {I*gc62[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , S[2] ] == {{gc63L[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {gc63R[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[2, {e3x2}] , F[2, {e2x2}] , S[1] ] == {{I*gc64[e2x2]*IndexDelta[e2x2, e3x2], 0, 0}, {I*gc64[e2x2]*IndexDelta[e2x2, e3x2], 0, 0}},

C[ -F[2, {e2x2}] , F[2, {e1x2}] , S[2] ] == {{gc65L[e1x2]*IndexDelta[e1x2, e2x2], 0, 0}, {gc65R[e1x2]*IndexDelta[e1x2, e2x2], 0, 0}},

C[ -F[1, {e3x2}] , F[2, {e1x2}] , S[3] ] == {{0, 0, 0}, {gc66R[e1x2]*IndexDelta[e1x2, e3x2], 0, 0}},

C[ -F[2, {e1x2}] , F[1, {e3x2}] , -S[3] ] == {{gc67[e1x2]*IndexDelta[e1x2, e3x2], 0, 0}, {0, 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , S[1] ] == {{I*gc68[e2x2]*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {I*gc68[e2x2]*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , S[2] ] == {{gc69L[e2x2]*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {gc69R[e2x2]*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -U[1] , U[32] , V[3] ] == {{I*gc70, 0, 0}, {I*gc70, 0, 0}, {0, 0, 0}},

C[ -U[1] , U[31] , -V[3] ] == {{I*gc71, 0, 0}, {I*gc71, 0, 0}, {0, 0, 0}},

C[ -S[3] , -U[32] , U[1] ] == {{EL*MW, 0, 0}},

C[ -U[32] , U[1] , -V[3] ] == {{I*gc73, 0, 0}, {I*gc73, 0, 0}, {0, 0, 0}},

C[ S[1] , -U[32] , U[32] ] == {{((-I/2)*EL*MW)/sw, 0, 0}},

C[ S[2] , -U[32] , U[32] ] == {{-(EL*MW)/(2*sw), 0, 0}},

C[ -U[32] , U[32] , V[1] ] == {{I*gc76, 0, 0}, {I*gc76, 0, 0}, {0, 0, 0}},

C[ -U[32] , U[32] , V[2] ] == {{I*gc77, 0, 0}, {I*gc77, 0, 0}, {0, 0, 0}},

C[ -S[3] , -U[32] , U[2] ] == {{(EL*MW*(cw - sw)*(cw + sw))/(2*cw*sw), 0, 0}},

C[ -U[32] , U[2] , -V[3] ] == {{I*gc79, 0, 0}, {I*gc79, 0, 0}, {0, 0, 0}},

C[ S[3] , -U[31] , U[1] ] == {{-(EL*MW), 0, 0}},

C[ -U[31] , U[1] , V[3] ] == {{I*gc81, 0, 0}, {I*gc81, 0, 0}, {0, 0, 0}},

C[ S[1] , -U[31] , U[31] ] == {{((-I/2)*EL*MW)/sw, 0, 0}},

C[ S[2] , -U[31] , U[31] ] == {{(EL*MW)/(2*sw), 0, 0}},

C[ -U[31] , U[31] , V[1] ] == {{I*gc84, 0, 0}, {I*gc84, 0, 0}, {0, 0, 0}},

C[ -U[31] , U[31] , V[2] ] == {{I*gc85, 0, 0}, {I*gc85, 0, 0}, {0, 0, 0}},

C[ S[3] , -U[31] , U[2] ] == {{-(EL*MW*(cw - sw)*(cw + sw))/(2*cw*sw), 0, 0}},

C[ -U[31] , U[2] , V[3] ] == {{I*gc87, 0, 0}, {I*gc87, 0, 0}, {0, 0, 0}},

C[ S[3] , -U[2] , U[32] ] == {{(EL*MZ)/(2*sw), 0, 0}},

C[ -U[2] , U[32] , V[3] ] == {{I*gc89, 0, 0}, {I*gc89, 0, 0}, {0, 0, 0}},

C[ -S[3] , -U[2] , U[31] ] == {{-(EL*MZ)/(2*sw), 0, 0}},

C[ -U[2] , U[31] , -V[3] ] == {{I*gc91, 0, 0}, {I*gc91, 0, 0}, {0, 0, 0}},

C[ S[1] , -U[2] , U[2] ] == {{((-I/2)*EL*MZ)/(cw*sw), 0, 0}},

C[ -U[4, {e2x1}] , U[4, {e3x1}] , V[4, {e1x2}] ] == {{gc93*SUNF[e1x2, e2x1, e3x1], 0, 0}, {gc93*SUNF[e1x2, e2x1, e3x1], 0, 0}, {0, 0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc1 -> -GS,
     gc2 -> -GS^2,
     gc3 -> gw*sw,
     gc4 -> -(gw^2*sw^2),
     gc5 -> cw*gw,
     gc6 -> gw^2,
     gc7 -> cw*gw^2*sw,
     gc8 -> -(cw^2*gw^2),
     gc19 -> -EL,
     gc23 -> EL/(2*sw),
     gc24 -> EL/(2*sw),
     gc28 -> EL/(2*sw),
     gc29 -> -EL/(2*sw),
     gc35 -> (EL*(cw^2 + sw^2))/(2*cw*sw),
     gc36 -> -(cw*EL)/(2*sw) + (EL*sw)/(2*cw),
     gc47 -> GS,
     gc48 -> GS,
     gc49 -> -EL/3,
     gc50 -> -EL,
     gc51 -> (2*EL)/3,
     gc52 -> EL/(Sqrt[2]*sw),
     gc53[e2x2_, e1x2_] -> (EL*CKM[e2x2, e1x2])/(Sqrt[2]*sw),
     gc54 -> EL/(Sqrt[2]*sw),
     gc55[e1x2_, e2x2_] -> (EL*Conjugate[CKM[e2x2, e1x2]])/(Sqrt[2]*sw),
     gc56L -> -(EL*(3*cw^2 + sw^2))/(6*cw*sw),
     gc56R -> (EL*sw)/(3*cw),
     gc57L -> -(EL*(cw^2 - sw^2))/(2*cw*sw),
     gc57R -> (EL*sw)/cw,
     gc58L -> (cw*EL)/(2*sw) - (EL*sw)/(6*cw),
     gc58R -> (-2*EL*sw)/(3*cw),
     gc59 -> (EL*(cw^2 + sw^2))/(2*cw*sw),
     gc60L[e3x2_, e1x2_] -> CKM[e3x2, e1x2]*yu[e3x2],
     gc60R[e3x2_, e1x2_] -> -(CKM[e3x2, e1x2]*yd[e1x2]),
     gc61L[e1x2_, e3x2_] -> Conjugate[CKM[e3x2, e1x2]]*yd[e1x2],
     gc61R[e1x2_, e3x2_] -> -(Conjugate[CKM[e3x2, e1x2]]*yu[e3x2]),
     gc62[e1x2_] -> -(yd[e1x2]/Sqrt[2]),
     gc63L[e1x2_] -> -(yd[e1x2]/Sqrt[2]),
     gc63R[e1x2_] -> yd[e1x2]/Sqrt[2],
     gc64[e2x2_] -> -(yl[e2x2]/Sqrt[2]),
     gc65L[e1x2_] -> -(yl[e1x2]/Sqrt[2]),
     gc65R[e1x2_] -> yl[e1x2]/Sqrt[2],
     gc66L -> 1,
     gc66R[e1x2_] -> -yl[e1x2],
     gc67[e1x2_] -> yl[e1x2],
     gc68[e2x2_] -> -(yu[e2x2]/Sqrt[2]),
     gc69L[e2x2_] -> yu[e2x2]/Sqrt[2],
     gc69R[e2x2_] -> -(yu[e2x2]/Sqrt[2]),
     gc70 -> EL,
     gc71 -> -EL,
     gc73 -> EL,
     gc76 -> -EL,
     gc77 -> -((cw*EL)/sw),
     gc79 -> (cw*EL)/sw,
     gc81 -> -EL,
     gc84 -> EL,
     gc85 -> (cw*EL)/sw,
     gc87 -> -((cw*EL)/sw),
     gc89 -> (cw*EL)/sw,
     gc91 -> -((cw*EL)/sw),
     gc93 -> GS};

